Subject: Re: [PowerPC] today's main line failed to build on PowerPC

From: Segher Boessenkool <[email-masked]>
Date: Thu, 18 Aug 2016 09:57:40 -0500

On Thu, Aug 18, 2016 at 12:48:17PM +0530, Abdul Haleem wrote:
> >09:34:24 00:05:01 ERROR| [stderr] arch/powerpc/mm/hash_low_32.S: 
> >Assembler messages:
> >09:34:24 00:05:01 ERROR| [stderr] arch/powerpc/mm/hash_low_32.S:353: 
> >Error: missing operand
> >09:34:24 00:05:01 ERROR| [stderr] arch/powerpc/mm/hash_low_32.S:612: 
> >Error: missing operand
> >09:34:24 00:05:01 ERROR| [stderr] arch/powerpc/mm/hash_low_32.S:670: 
> >Error: missing operand

You're building 32-bit no-smp...

> CONFIG_SMP=y
> CONFIG_WORD_SIZE=64

... but your config says otherwise.  Some (re-)configuration mishap?

Segher